Salesforce Edition

  • Profile Image
    Molly Hanley
    Asked on December 10, 2013 at 05:43 PM

    Can you tell me what salesforce edition is required in order to integrate with JotForm?

    We currently use the Professional edition and I can't find an online form solution that integrates with this salesforce edition. 

    Thank you!

    Molly

  • Profile Image
    jedcadorna
    Answered on December 10, 2013 at 08:32 PM

    Thank you for contacting us. When integrating with salesforce I think you need to have an API enabled in your Salesforce account and with professional edition I think it's not available when first activated your account meaning to say to have the integration work on professional edition you need to check if you api is enabled in your edition. Please see the explanation below:

    To use the API, your organization must be on one of the following 3 editions.  Note that this feature is enabled by default:

    1. Enterprise Edition

    2. Unlimited Edition

    3. Developer Edition

     

    The API package is not available for the following editions:

    1. Personal Edition

    2. Group Edition

    3. Professional Edition*

     

    I'm afraid in order to have the API enabled in your account you need to be atleast an EnterpriseUnlimited or Developer Edition.

    You can check if your API is enabled under this click path: Click on your Name |Setup | Profiles | System Administrator | Administrative Permissions | API Enabled (If has a check or not)

    As far as I know with professional edition you need to purchase it seperately to have  the API enabled though not sure about that.

     

    Let us know if you have other questions.

    Thanks,

  • Profile Image
    jedcadorna
    Answered on December 10, 2013 at 08:36 PM

    I think API for PE is not yet available it is still in their ideas exchange so hasn't been approved yet. You can probably add your vote to increase the number of request. Please see this link https://success.salesforce.com/ideaview?id=08730000000Bq7qAAC